:root {
    --white: #fff;
    --light-gray: #efefef;
    --gray: #ccc;
    --dark-gray: #aaa;
    --light-black: #6b6b6b;
    --black: #1a1a1a;
    --globalRadius: 4px;
    --menuHeight: 80px;
    --footerHeight: 144px;
    --size: 10px;
    --mainColor: grey;
    --circleSize: calc(var(--size)*12)
}

body {
    background-color: var(--white);
    margin: 0;
    padding: 0
}

.skeleton .container,
.skeleton .m-center {
    margin-left: auto;
    margin-right: auto
}

.skeleton .container {
    max-width: 1140px;
    width: 100%
}

.skeleton .d-flex {
    display: -webkit-box !important;
    display: -ms-flexbox !important;
    display: flex !important
}

.skeleton .p-0 {
    padding: 0 !important
}

.skeleton .p-1 {
    padding: 1rem
}

.skeleton .p-2 {
    padding: 2rem
}

.skeleton .p-3 {
    padding: 3rem
}

.skeleton .p-1 {
    margin: 1rem
}

.skeleton .p-2 {
    margin: 2rem
}

.skeleton .p-3 {
    margin: 3rem
}

.skeleton .flex-direction-column {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column
}

.skeleton .flex-direction-column-reverse {
    -webkit-box-orient: vertical;
    -webkit-box-direction: reverse;
    -ms-flex-direction: column-reverse;
    flex-direction: column-reverse
}

.skeleton .flex-direction-row {
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -ms-flex-direction: row;
    flex-direction: row
}

.skeleton .flex-direction-row-reverse {
    -webkit-box-orient: horizontal;
    -webkit-box-direction: reverse;
    -ms-flex-direction: row-reverse;
    flex-direction: row-reverse
}

.skeleton .bg-none {
    background-color: rgba(0, 0, 0, 0)
}

.skeleton .bg-white {
    background-color: var(--white)
}

.skeleton .bg-light-gray {
    background-color: var(--light-gray)
}

.skeleton .bg-gray {
    background-color: var(--gray)
}

.skeleton .bg-dark-gray {
    background-color: var(--dark-gray)
}

.skeleton .bg-light-black {
    background-color: var(--light-black)
}

.skeleton .bg-black {
    background-color: var(--black)
}

.skeleton .h-100 {
    height: 100%
}

.skeleton .w-100 {
    width: 100%
}

.skeleton .align-items-center {
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center
}

.skeleton .align-items-stretch {
    -webkit-box-align: stretch;
    -ms-flex-align: stretch;
    align-items: stretch
}

.skeleton .justify-content-center {
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center
}

.skeleton .justify-content-between {
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between
}

.skeleton .logo {
    display: block;
    height: 80px;
    max-width: 120px;
    position: relative;
    width: 100%
}

.skeleton .logo:after,
.skeleton .logo:before {
    background-color: var(--gray);
    border: .15rem solid var(--white);
    content: "";
    display: block;
    position: absolute;
    top: 50%;
    -webkit-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    transform: translateY(-50%)
}

.skeleton .logo:after {
    border-radius: 3%/50%;
    height: 1.5rem;
    width: 100%;
    z-index: 0
}

.skeleton .logo:before {
    border-radius: 100%;
    height: 3rem;
    left: 50%;
    width: 3rem;
    z-index: 1
}

.skeleton .press,
.skeleton .icon,
.skeleton .text,
.skeleton .title {
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    height: 100%;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    width: 100%
}

.skeleton .press.left,
.skeleton .icon.left,
.skeleton .text.left,
.skeleton .title.left {
    -webkit-box-pack: start;
    -ms-flex-pack: start;
    justify-content: start
}

.skeleton .irregular.center .text,
.skeleton .irregular.center .title {
    margin-left: auto;
    margin-right: auto
}

.skeleton .irregular .text:first-child,
.skeleton .irregular .title:first-child {
    width: 95%
}

.skeleton .irregular .text:nth-child(2),
.skeleton .irregular .title:nth-child(2) {
    width: 100%
}

.skeleton .irregular .text:nth-child(3),
.skeleton .irregular .title:nth-child(3) {
    width: 85%
}

.skeleton .irregular .text:nth-child(4),
.skeleton .irregular .title:nth-child(4) {
    width: 90%
}

.skeleton .irregular .text:nth-child(5),
.skeleton .irregular .title:nth-child(5) {
    width: 70%
}

.skeleton .irregular .text:nth-child(6),
.skeleton .irregular .title:nth-child(6) {
    width: 50%
}

.skeleton .irregular .text:nth-child(7),
.skeleton .irregular .title:nth-child(7) {
    width: 66%
}

.skeleton .irregular .text:nth-child(8),
.skeleton .irregular .title:nth-child(8) {
    width: 30%
}

.skeleton .irregular .text:nth-child(9),
.skeleton .irregular .title:nth-child(9) {
    width: 45%
}

.skeleton .irregular .text:nth-child(10),
.skeleton .irregular .title:nth-child(10) {
    width: 95%
}

.skeleton .text,
.skeleton .title {
    margin-bottom: 1rem
}

.skeleton .text:after,
.skeleton .title:after {
    -webkit-animation: bg-positions 2s ease infinite;
    animation: bg-positions 2s ease infinite;
    background-color: var(--gray);
    background: linear-gradient(-45deg, var(--gray) 25%, var(--dark-gray) 70%, var(--gray), var(--gray));
    background-size: 800% 100%;
    border-radius: var(--globalRadius);
    content: "";
    height: 1rem;
    width: 100%
}

.skeleton .title {
    margin-bottom: 1.5rem
}

.skeleton .title:after {
    -webkit-animation: bg-positions 2s ease infinite;
    animation: bg-positions 2s ease infinite;
    background-color: var(--dark-gray);
    background: linear-gradient(-45deg, var(--dark-gray) 25%, var(--black) 70%, var(--dark-gray), var(--dark-gray));
    background-size: 800% 100%;
    height: 1.5rem
}

.skeleton .video {
    -webkit-animation: bg-positions 5s ease infinite;
    animation: bg-positions 5s ease infinite;
    background-color: var(--dark-gray);
    background: linear-gradient(-45deg, var(--dark-gray) 25%, var(--black) 70%, var(--dark-gray), var(--dark-gray));
    background-size: 800% 100%;
    display: block;
    padding-top: 60%;
    position: relative;
    width: 100%
}

.skeleton .video:after {
    border: 2rem solid rgba(0, 0, 0, 0);
    border-left: 2rem solid var(--white);
    content: "";
    display: block;
    left: 50%;
    position: absolute;
    top: 50%;
    -webkit-transform: translateX(calc(-50% + 1.25rem)) translateY(-50%);
    -ms-transform: translateX(calc(-50% + 1.25rem)) translateY(-50%);
    transform: translateX(calc(-50% + 1.25rem)) translateY(-50%);
    z-index: 1
}

.skeleton .input {
    background-color: var(--white);
    border-radius: var(--globalRadius);
    height: 2rem
}

.skeleton .input .text {
    width: 30%
}

.skeleton .press:after,
.skeleton .icon:after {
    background-color: var(--light-black);
    content: "";
    display: block
}

.skeleton .icon:after {
    -webkit-animation: bg-positions 5s ease infinite;
    animation: bg-positions 5s ease infinite;
    background-color: var(--dark-gray);
    background: linear-gradient(-45deg, var(--dark-gray) 25%, var(--black) 70%, var(--dark-gray), var(--dark-gray));
    background-size: 800% 100%;
    border-radius: 100%;
    height: 1.5rem;
    width: 1.5rem
}

.skeleton .icon.big:after {
    height: 10rem;
    width: 10rem
}

.skeleton .press:after {
    -webkit-animation: bg-positions 5s ease infinite;
    animation: bg-positions 5s ease infinite;
    background: linear-gradient(-45deg, var(--dark-gray) 25%, var(--black) 70%, var(--dark-gray), var(--dark-gray));
    background-size: 800% 100%;
    border-radius: var(--globalRadius);
    height: 2rem;
    width: 100%
}

.skeleton .area-header {
    background-color: var(--light-gray);
    height: var(--menuHeight);
    width: 100%
}

.skeleton .area-header .area-logo {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 150px;
    flex: 0 0 150px
}

.skeleton .area-header .area-logo .logo {
    margin-left: 10%;
    width: 80%
}

.skeleton .area-header .area-menu {
    display: none
}

.skeleton .area-header .area-login {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 calc(100% - 150px);
    flex: 0 0 calc(100% - 150px);
    max-width: 150px
}

.skeleton .area-home {
    height: calc(100vh - var(--menuHeight)*2)
}

.skeleton .area-home .area-slider {
    display: none
}

.skeleton .area-home .area-search {
    padding-top: 5rem
}

.skeleton .area-home .area-search .buble {
    margin: 0 auto;
    max-width: 500px;
    width: 60%
}

.skeleton .area-home .area-search .buble>.text {
    display: none;
    margin-bottom: 1rem
}

.skeleton .area-home .area-search .buble .search-home {
    margin: 0 auto
}

.skeleton .area-see-header-and-footer {
    min-height: calc(100vh - var(--menuHeight) - var(--footerHeight))
}

.skeleton .search-home {
    background-color: var(--dark-gray);
    border-radius: var(--globalRadius);
    padding: 1rem
}

.skeleton .search-home .sub-menu .text {
    padding: 0 .5rem
}

.skeleton .search-home .input {
    padding-left: .5rem
}

.skeleton .menu-under-slider {
    background-color: var(--light-gray);
    height: var(--menuHeight)
}

.skeleton .menu-under-slider .area-menu {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 100%;
    flex: 0 0 100%;
    width: 100%
}

.skeleton .menu-under-slider .area-menu .text {
    padding: 0 5vw
}

.skeleton .menu-under-slider .area-menu .text:first-child,
.skeleton .menu-under-slider .area-menu .text:last-child {
    display: none
}

.skeleton .menu-under-slider .area-press {
    display: none
}

.skeleton .content {
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    min-height: 50vh;
    padding: 2rem 0;
    width: 90%
}

.skeleton .content .press {
    margin-top: 3rem;
    width: 100%
}

.skeleton .content>div {
    height: 100%;
    width: 100%
}

.skeleton .content .area-text {
    padding: 1rem
}

.skeleton .content .area-icon {
    padding: 2rem 0
}

.skeleton .content.type-b {
    height: calc(100vh - var(--menuHeight))
}

.skeleton .content .elements-2-display-2-to-1>div:first-child {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 66.6%;
    flex: 0 0 66.6%;
    width: 66.6%
}

.skeleton .content .elements-2-display-2-to-1>div:last-child {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 33.3%;
    flex: 0 0 33.3%;
    width: 33%
}

.skeleton .box-container-loading {
    border-radius: 1rem;
    padding: 1rem
}

.skeleton .box-container-loading .text-color {
    color: var(--mainColor)
}

.skeleton .box-container-loading .border-color {
    border-color: var(--mainColor)
}

.skeleton .box-container-loading .stroke-color {
    stroke: var(--mainColor)
}

.skeleton .box-container-loading .bg-color {
    background-color: var(--mainColor)
}

.skeleton .loading .block .circle-of-loads {
    -webkit-animation: borderCircle 2s infinite;
    animation: borderCircle 2s infinite;
    border-radius: var(--circleSize);
    border-style: solid;
    border-width: var(--size);
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    display: block;
    height: var(--circleSize);
    position: relative;
    width: var(--circleSize)
}

.skeleton .loading .block .circle-of-loads span {
    -webkit-animation: spanDisplay 8s infinite;
    animation: spanDisplay 8s infinite;
    left: 50%;
    opacity: 0;
    position: absolute;
    top: 50%;
    -webkit-transform: translateY(-50%) translateX(-50%);
    -ms-transform: translateY(-50%) translateX(-50%);
    transform: translateY(-50%) translateX(-50%)
}

.skeleton .loading .block .circle-of-loads span:first-child {
    -webkit-animation-delay: 0s;
    animation-delay: 0s
}

.skeleton .loading .block .circle-of-loads span:nth-child(2) {
    -webkit-animation-delay: 2s;
    animation-delay: 2s
}

.skeleton .loading .block .circle-of-loads span:nth-child(3) {
    -webkit-animation-delay: 4s;
    animation-delay: 4s
}

.skeleton .loading .block .circle-of-loads span:nth-child(4) {
    -webkit-animation-delay: 6s;
    animation-delay: 6s
}

.skeleton .loading .block .circle-of-loads span:nth-child(5) {
    -webkit-animation-delay: 8s;
    animation-delay: 8s
}

.skeleton .loading .block p {
    padding-top: var(--size);
    text-align: center
}

.skeleton .animate {
    -webkit-transition: all .5s ease;
    transition: all .5s ease
}

.skeleton .animate.to-up>div {
    -webkit-animation: to-top .5s cubic-bezier(.25, .1, .43, 1.42) forwards;
    animation: to-top .5s cubic-bezier(.25, .1, .43, 1.42) forwards;
    opacity: 0;
    -webkit-transform: translateY(1rem);
    -ms-transform: translateY(1rem);
    transform: translateY(1rem)
}

.skeleton .animate.to-right>div {
    -webkit-animation: to-right .5s cubic-bezier(.25, .1, .43, 1.42) forwards;
    animation: to-right .5s cubic-bezier(.25, .1, .43, 1.42) forwards;
    opacity: 0;
    -webkit-transform: translateX(-1rem);
    -ms-transform: translateX(-1rem);
    transform: translateX(-1rem)
}

.skeleton .animate>div:first-child {
    -webkit-animation-delay: .1s;
    animation-delay: .1s
}

.skeleton .animate>div:nth-child(2) {
    -webkit-animation-delay: .2s;
    animation-delay: .2s
}

.skeleton .animate>div:nth-child(3) {
    -webkit-animation-delay: .3s;
    animation-delay: .3s
}

.skeleton .animate>div:nth-child(4) {
    -webkit-animation-delay: .4s;
    animation-delay: .4s
}

.skeleton .animate>div:nth-child(5) {
    -webkit-animation-delay: .5s;
    animation-delay: .5s
}

.skeleton .animate>div:nth-child(6) {
    -webkit-animation-delay: .6s;
    animation-delay: .6s
}

.skeleton .animate>div:nth-child(7) {
    -webkit-animation-delay: .7s;
    animation-delay: .7s
}

.skeleton .animate>div:nth-child(8) {
    -webkit-animation-delay: .8s;
    animation-delay: .8s
}

.skeleton .animate>div:nth-child(9) {
    -webkit-animation-delay: .9s;
    animation-delay: .9s
}

.skeleton .animate>div:nth-child(10) {
    -webkit-animation-delay: 1s;
    animation-delay: 1s
}

@-webkit-keyframes bg-positions {
    0% {
        background-position: 0 50%
    }

    to {
        background-position: 100% 50%
    }
}

@keyframes bg-positions {
    0% {
        background-position: 0 50%
    }

    to {
        background-position: 100% 50%
    }
}

@-webkit-keyframes to-top {
    0% {
        opacity: 0;
        -webkit-transform: translateY(1rem);
        transform: translateY(1rem)
    }

    to {
        opacity: 1;
        -webkit-transform: translateY(0);
        transform: translateY(0)
    }
}

@keyframes to-top {
    0% {
        opacity: 0;
        -webkit-transform: translateY(1rem);
        transform: translateY(1rem)
    }

    to {
        opacity: 1;
        -webkit-transform: translateY(0);
        transform: translateY(0)
    }
}

@-webkit-keyframes to-right {
    0% {
        opacity: 0;
        -webkit-transform: translateX(-1rem);
        transform: translateX(-1rem)
    }

    to {
        opacity: 1;
        -webkit-transform: translateX(0);
        transform: translateX(0)
    }
}

@keyframes to-right {
    0% {
        opacity: 0;
        -webkit-transform: translateX(-1rem);
        transform: translateX(-1rem)
    }

    to {
        opacity: 1;
        -webkit-transform: translateX(0);
        transform: translateX(0)
    }
}

@-webkit-keyframes borderCircle {
    0% {
        border-style: solid;
        border-width: calc(var(--circleSize)/2)
    }

    5% {
        border-width: calc(var(--circleSize)/2)
    }

    5% {
        border-style: solid;
        border-width: var(--size)
    }

    95% {
        border-width: var(--size)
    }

    95% {
        border-style: solid;
        border-width: calc(var(--circleSize)/2)
    }

    to {
        border-style: solid;
        border-width: calc(var(--circleSize)/2)
    }
}

@keyframes borderCircle {
    0% {
        border-style: solid;
        border-width: calc(var(--circleSize)/2)
    }

    5% {
        border-width: calc(var(--circleSize)/2)
    }

    5% {
        border-style: solid;
        border-width: var(--size)
    }

    95% {
        border-width: var(--size)
    }

    95% {
        border-style: solid;
        border-width: calc(var(--circleSize)/2)
    }

    to {
        border-style: solid;
        border-width: calc(var(--circleSize)/2)
    }
}

@-webkit-keyframes spanDisplay {
    0% {
        opacity: 1
    }

    25% {
        opacity: 1
    }

    25.1% {
        opacity: 0
    }

    to {
        opacity: 0
    }
}

@keyframes spanDisplay {
    0% {
        opacity: 1
    }

    25% {
        opacity: 1
    }

    25.1% {
        opacity: 0
    }

    to {
        opacity: 0
    }
}

@media (min-width:1024px) {
    .skeleton .d-md-none {
        display: none !important
    }

    .skeleton .d-md-block {
        display: block !important
    }

    .skeleton .d-md-flex {
        display: -webkit-box !important;
        display: -ms-flexbox !important;
        display: flex !important
    }

    .skeleton .flex-md-direction-column {
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -ms-flex-direction: column;
        flex-direction: column
    }

    .skeleton .flex-md-direction-column-reverse {
        -webkit-box-orient: vertical;
        -webkit-box-direction: reverse;
        -ms-flex-direction: column-reverse;
        flex-direction: column-reverse
    }

    .skeleton .flex-md-direction-row {
        -webkit-box-orient: horizontal;
        -webkit-box-direction: normal;
        -ms-flex-direction: row;
        flex-direction: row
    }

    .skeleton .flex-md-direction-row-reverse {
        -webkit-box-orient: horizontal;
        -webkit-box-direction: reverse;
        -ms-flex-direction: row-reverse;
        flex-direction: row-reverse
    }

    .skeleton .bg-md-none {
        background-color: rgba(0, 0, 0, 0)
    }

    .skeleton .bg-md-white {
        background-color: var(--white)
    }

    .skeleton .bg-md-light-gray {
        background-color: var(--light-gray)
    }

    .skeleton .bg-md-gray {
        background-color: var(--gray)
    }

    .skeleton .bg-md-dark-gray {
        background-color: var(--dark-gray)
    }

    .skeleton .bg-md-light-black {
        background-color: var(--light-black)
    }

    .skeleton .bg-md-black {
        background-color: var(--black)
    }

    .skeleton .area-header .area-menu {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-flex: 0;
        -ms-flex: 0 0 calc(100% - 450px);
        flex: 0 0 calc(100% - 450px)
    }

    .skeleton .area-header .area-menu .text {
        max-width: 8rem;
        padding: 0 1rem
    }

    .skeleton .area-header .area-login {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 calc(100% - 300px);
        flex: 0 0 calc(100% - 300px);
        max-width: 300px
    }

    .skeleton .area-header .area-login .press {
        padding: 0 .5rem !important
    }

    .skeleton .area-home .area-search .buble>.text {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex
    }

    .skeleton .area-home .area-search .buble .sub-menu {
        margin-top: 1rem
    }

    .skeleton .area-see-header-and-footer {
        min-height: calc(100vh - var(--menuHeight) - var(--footerHeight))
    }

    .skeleton .content.type-a>div:first-child {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 40%;
        flex: 0 0 40%;
        width: 40%
    }

    .skeleton .content.type-a>div::last-child {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 60%;
        flex: 0 0 60%;
        width: 60%
    }

    .skeleton .footer .area-logo {
        padding-right: 3rem;
        padding-top: 3.3rem
    }

    .skeleton .footer .area-boton .presss .press {
        padding: 0;
        width: calc(100% - 1.5rem)
    }

    .skeleton .footer .area-boton .presss .press:last-child {
        margin-left: .3rem
    }
}

@media (min-width:1360px) {
    .skeleton .area-home {
        -webkit-box-align: stretch;
        -ms-flex-align: stretch;
        align-items: stretch;
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex
    }

    .skeleton .area-home .area-slider {
        background-color: var(--gray);
        display: block;
        -webkit-box-flex: 0;
        -ms-flex: 0 0 40%;
        flex: 0 0 40%;
        width: 40%
    }

    .skeleton .area-home .area-search {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 60%;
        flex: 0 0 60%;
        width: 60%
    }

    .skeleton .menu-under-slider .area-menu {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 80%;
        flex: 0 0 80%;
        width: 80%
    }

    .skeleton .menu-under-slider .area-menu .text {
        padding: 0 1rem
    }

    .skeleton .menu-under-slider .area-menu .text:first-child,
    .skeleton .menu-under-slider .area-menu .text:last-child {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex
    }

    .skeleton .menu-under-slider .area-press {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-flex: 0;
        -ms-flex: 0 0 20%;
        flex: 0 0 20%;
        width: 20%
    }
}

/* estilos de base */
body>header,
body>main,
body>footer {
    position: relative;
}

body>main{
    z-index: 1;
}

/* SE SACA PARA CORREGIR DATEPICKER SCROLL

@media (max-width: 991px) {
    body>header {
        z-index: 2 !important;
    }

    html,
    body {
        height: 100% !important;
        overflow-y: auto !important;
        -webkit-overflow-scrolling: touch !important;
    }
} */

body>header {
    z-index: 4;
}

.root-display-on {
    position: relative;
    z-index: 0;
}

.root-display-off {
    display: none;
    position: absolute;
    top: 0;
    width: 100%;
    height: 100%;
    animation: outSite .5s ease forwards;
    animation-delay: .25s;
    z-index: 1;
}

.skeleton {
    background-color: #fff;
}

#main {
    min-height: calc(100vh - var(--menuHeight) - var(--footerHeight));
}

#header {
    min-height: var(--menuHeight);
}



@keyframes outSite {
    0% {
        opacity: 0.5;
    }

    99% {
        opacity: 0;
        visibility: hidden;
    }

    100% {
        opacity: 0;
        visibility: hidden;
        max-height: 0;
    }
}

.bg-grey-footer {
    background-color: var(--light-gray);
}

#footerSkeleton.skeleton .footer {
    height: 144px;
}




